General
ForgeRock Identity Platform
Does not apply to Identity Cloud

What versions of DS are compatible with AM?

Last updated Dec 7, 2021

The purpose of this article is to provide compatibility information between DS and AM versions. This includes the embedded DS versions shipped with AM and, the supported Java® versions for each combination.


3 readers recommend this article

DS and AM compatibility

Embedded DS

Embedded DS versions are shipped with AM and cannot be upgraded; however, when you upgrade to a newer version of AM, the embedded DS instance is also upgraded. The following embedded DS versions are included with AM:

AM versions Embedded DS version
AM 7.1.1 DS 7.1.1
AM 7.1 DS 7.1
AM 7.0.1  DS 7
AM 7 DS 7
AM 6.5.4 DS 6.5.5
AM 6.5.3 DS 6.5.4
AM 6.5.2.x DS 6.5.2
AM 6.5.1 DS 6.5.1
AM 6.5.0.x DS 6.5
AM 6.0.0.x DS 6
AM 5.5.2 DS 5.5.3
AM 5.5 and 5.5.1 DS 5.5
AM 5 and 5.1.x DS 5

External DS

The following matrix indicates compatibility between AM and external DS versions:

  DS 7.x DS 6.x DS 5.x
AM 7.x Yes Yes Yes
AM 6.x Yes Yes Yes
AM 5.5.x -- Yes Yes
AM 5 and 5.1.x -- Yes Yes
Note

It is strongly recommended that you always upgrade to the latest maintenance releases for whichever versions of AM and DS you have deployed.

Java Compatibility

Java 11

  • AM 6.5 and later.
  • DS 6.5 and later.

Java 9

  • DS 6 only.

Java 8

  • AM 5.x and 6.x
  • DS 5.x and 6.x.

Java 7

  • AM 5 and 5.1.x.
  • DS 5 (but support for it is deprecated).

Software and Hardware requirements

AM

DS

See Also

What operating systems are ForgeRock products supported on?

Checking your product versions are supported

FAQ: Installing AM

FAQ: Upgrading AM

FAQ: Installing and configuring DS

Installing and configuring AM

Installing and Administering DS


Copyright and Trademarks Copyright © 2021 ForgeRock, all rights reserved.